# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [8.12.1-staff.1](https://github.com/drivesoftware/common/compare/8.12.1...8.12.1-staff.1) (2024-11-28)


### Features

* **roles:** staff simplify roles ([613cf12](https://github.com/drivesoftware/common/commit/613cf12f81ec35f15cf6e2f127ad7ebe98586132))

### [8.12.1](https://github.com/drivesoftware/common/compare/8.12.0...8.12.1) (2024-11-27)

## [8.12.0](https://github.com/drivesoftware/common/compare/8.11.3...8.12.0) (2024-10-29)


### Features

* **contract:** remove client invoice notes ([#106](https://github.com/drivesoftware/common/issues/106)) ([32bc552](https://github.com/drivesoftware/common/commit/32bc55233ee85902d69340bc6f22466f09ade680))

### [8.11.3](https://github.com/drivesoftware/common/compare/8.11.2...8.11.3) (2024-10-15)

### [8.11.2](https://github.com/drivesoftware/common/compare/8.11.1...8.11.2) (2024-09-10)

### [8.11.1](https://github.com/drivesoftware/common/compare/8.11.0...8.11.1) (2024-08-10)


### Bug Fixes

* **roles:** add role for commitment agreement ([#103](https://github.com/drivesoftware/common/issues/103)) ([ae79a2a](https://github.com/drivesoftware/common/commit/ae79a2a5795cdc7c6fcc757362927020d5268e67))

## [8.11.0](https://github.com/drivesoftware/common/compare/8.10.2...8.11.0) (2024-08-05)


### Features

* **roles:** remove modify generated contracts ([#102](https://github.com/drivesoftware/common/issues/102)) ([d3c1d55](https://github.com/drivesoftware/common/commit/d3c1d5581f8923ea1ae16dc2922047a854e637c3))

### [8.10.2](https://github.com/drivesoftware/common/compare/8.10.1...8.10.2) (2024-08-05)

### [8.10.1](https://github.com/drivesoftware/common/compare/8.10.0...8.10.1) (2024-07-29)

## [8.10.0](https://github.com/drivesoftware/common/compare/8.9.1...8.10.0) (2024-07-18)


### Features

* **spot-laydown:** add edit booking line rate role ([#99](https://github.com/drivesoftware/common/issues/99)) ([d94abec](https://github.com/drivesoftware/common/commit/d94abecfb58ced0752145c6c5dad51b1a0d52344))

### [8.9.1](https://github.com/drivesoftware/common/compare/8.9.0...8.9.1) (2024-07-12)


### Bug Fixes

* **roles:** consolidate and obsolete commitment roles ([#98](https://github.com/drivesoftware/common/issues/98)) ([d764493](https://github.com/drivesoftware/common/commit/d7644938cad5e7b8ad1aa6771fad758949411036))

## [8.9.0](https://github.com/drivesoftware/common/compare/8.8.0...8.9.0) (2024-07-07)


### Features

* **roles:** clean up obsolete roles ([#97](https://github.com/drivesoftware/common/issues/97)) ([ca0d1bc](https://github.com/drivesoftware/common/commit/ca0d1bce3c8577cd0f41304b06a9c0a3d30c369b))

## [8.8.0](https://github.com/drivesoftware/common/compare/8.7.0...8.8.0) (2024-07-02)


### Features

* **databus:** add serializer with customized serialization options ([#96](https://github.com/drivesoftware/common/issues/96)) ([33846ab](https://github.com/drivesoftware/common/commit/33846ab2200cbccc2c120c4f53465bad4b910a47))

## [8.7.0](https://github.com/drivesoftware/common/compare/8.6.0...8.7.0) (2024-06-13)


### Features

* **roles:** add booking line roles ([#95](https://github.com/drivesoftware/common/issues/95)) ([88e18cb](https://github.com/drivesoftware/common/commit/88e18cb02202ea5cf89924a02e7f95db91a2c498))

## [8.6.0](https://github.com/drivesoftware/common/compare/8.5.2...8.6.0) (2024-05-30)


### Features

* **roles:** clean up unused security roles ([#93](https://github.com/drivesoftware/common/issues/93)) ([cfff1a0](https://github.com/drivesoftware/common/commit/cfff1a0989d237984e45c800f350154022718254))

### [8.5.2](https://github.com/drivesoftware/common/compare/8.5.1...8.5.2) (2024-05-16)

### [8.5.1](https://github.com/drivesoftware/common/compare/8.5.0...8.5.1) (2024-05-12)


### Bug Fixes

* **security-roles:** duplicate codes ([#91](https://github.com/drivesoftware/common/issues/91)) ([171503d](https://github.com/drivesoftware/common/commit/171503dc0123306d30ee4ddce1f354d5cdf1c77f))

## [8.5.0](https://github.com/drivesoftware/common/compare/8.4.0...8.5.0) (2024-05-08)


### Features

* **math:** add discount ([#90](https://github.com/drivesoftware/common/issues/90)) ([6c30c23](https://github.com/drivesoftware/common/commit/6c30c239a93e62ee8f299347af8d64188e7fa118))

## [8.4.0](https://github.com/drivesoftware/common/compare/8.3.8...8.4.0) (2024-04-05)


### Features

* **security:** add modify exported spots role ([#89](https://github.com/drivesoftware/common/issues/89)) ([6fb5c97](https://github.com/drivesoftware/common/commit/6fb5c97912c67e4992eb17dd14df0f03b5c2ef8b))

### [8.3.8](https://github.com/drivesoftware/common/compare/8.3.7...8.3.8) (2024-04-04)


### Bug Fixes

* **auth:** allow provision of clock skew when validating token ([#88](https://github.com/drivesoftware/common/issues/88)) ([8732355](https://github.com/drivesoftware/common/commit/8732355bd223ad2eb6d69809bad4393587c31e0f))

### [8.3.7](https://github.com/drivesoftware/common/compare/8.3.6...8.3.7) (2024-04-02)


### Bug Fixes

* **serialization:** prefer system.text.json ([#87](https://github.com/drivesoftware/common/issues/87)) ([3761b90](https://github.com/drivesoftware/common/commit/3761b902011a7f6bf496125a6821f6f5c381c070))

### [8.3.6](https://github.com/drivesoftware/common/compare/8.3.5...8.3.6) (2024-03-26)


### Bug Fixes

* **helper-user:** use cache for helper user ([#86](https://github.com/drivesoftware/common/issues/86)) ([7cc5c83](https://github.com/drivesoftware/common/commit/7cc5c83cfbb56b071095c77f30d956fe42fa200d))

### [8.3.5](https://github.com/drivesoftware/common/compare/8.3.4...8.3.5) (2024-03-20)

### [8.3.4](https://github.com/drivesoftware/common/compare/8.3.3...8.3.4) (2024-03-15)


### Bug Fixes

* **ftp:** client disconnect and disposal ([#84](https://github.com/drivesoftware/common/issues/84)) ([74ac326](https://github.com/drivesoftware/common/commit/74ac3269458306c0d454d1eca264addd976d3faa))

### [8.3.3](https://github.com/drivesoftware/common/compare/8.3.2...8.3.3) (2024-03-13)

### [8.3.2](https://github.com/drivesoftware/common/compare/8.3.1...8.3.2) (2024-02-06)


### Bug Fixes

* **command-dispatcher:** allow custom send options ([#82](https://github.com/drivesoftware/common/issues/82)) ([b78532d](https://github.com/drivesoftware/common/commit/b78532d55c4510065ea7a10a4513b3cfd3e87982))

### [8.3.1](https://github.com/drivesoftware/common/compare/8.3.0...8.3.1) (2024-02-05)

## [8.3.0](https://github.com/drivesoftware/common/compare/8.2.3...8.3.0) (2023-12-18)


### Features

* **all:** net8.0 upgrade ([#80](https://github.com/drivesoftware/common/issues/80)) ([1478ac4](https://github.com/drivesoftware/common/commit/1478ac4d0066f7c68c50987b9b348f49b0a7a123))


### Bug Fixes

* **options:** remove property initializer from endpoint options ([#79](https://github.com/drivesoftware/common/issues/79)) ([bccb1d6](https://github.com/drivesoftware/common/commit/bccb1d6e79e4e82d61555f8e2a03abe68a1894c7))

### [8.2.3](https://github.com/drivesoftware/common/compare/8.2.2...8.2.3) (2023-12-07)


### Tests

* **security:** add user code claim ([ef53556](https://github.com/drivesoftware/common/commit/ef53556))



### [8.2.2](https://github.com/drivesoftware/common/compare/8.2.1...8.2.2) (2023-11-29)


### Bug Fixes

* **config:** tidy up auth config ([#78](https://github.com/drivesoftware/common/issues/78)) ([80b9cac](https://github.com/drivesoftware/common/commit/80b9cac2891fc630f482f6cb6570a500e55f5b6b))

### [8.2.1](https://github.com/drivesoftware/common/compare/8.2.0...8.2.1) (2023-11-12)

## [8.2.0](https://github.com/drivesoftware/common/compare/8.1.0...8.2.0) (2023-10-12)


### Features

* **roles:** add market size write role ([#76](https://github.com/drivesoftware/common/issues/76)) ([7161245](https://github.com/drivesoftware/common/commit/7161245))



## [8.1.0](https://github.com/drivesoftware/common/compare/8.0.2...8.1.0) (2023-10-02)


### Features

* **auth:** enable portal authentication ([#75](https://github.com/drivesoftware/common/issues/75)) ([e93bc2d](https://github.com/drivesoftware/common/commit/e93bc2dbb3c9ccf4196816cceca1ff82852bc1a8))

### [8.0.2](https://github.com/drivesoftware/common/compare/8.0.1...8.0.2) (2023-09-13)


### Bug Fixes

* **all:** resolve nullable warnings ([#74](https://github.com/drivesoftware/common/issues/74)) ([a50cd38](https://github.com/drivesoftware/common/commit/a50cd389cbaa896ac1785a5a394e8b919e312dd8))

### [8.0.1](https://github.com/drivesoftware/common/compare/8.0.0...8.0.1) (2023-09-05)

## [8.0.0](https://github.com/drivesoftware/common/compare/7.0.5...8.0.0) (2023-09-05)


### ⚠ BREAKING CHANGES

* **all:** upgrade from .net framework to .net

### Features

* **all:** upgrade dotnet ([#72](https://github.com/drivesoftware/common/issues/72)) ([c7f7a5d](https://github.com/drivesoftware/common/commit/c7f7a5d3f28ab83f3f8f961aff36b0c1abbc9866))

### [7.0.5](https://github.com/drivesoftware/common/compare/7.0.4...7.0.5) (2023-07-24)


### Bug Fixes

* **all:** upgrade dependencies ([#71](https://github.com/drivesoftware/common/issues/71)) ([be09b8a](https://github.com/drivesoftware/common/commit/be09b8a17b81e8b3d5d360cfae55043f01ab473c))

### [7.0.4](https://github.com/drivesoftware/common/compare/7.0.3...7.0.4) (2023-07-24)


### Bug Fixes

* **aggregate:** remove obsoloete implementation ([#70](https://github.com/drivesoftware/common/issues/70)) ([3d37573](https://github.com/drivesoftware/common/commit/3d37573f4e089f28672ec47efd16bc238eecf401))

### [7.0.3](https://github.com/drivesoftware/common/compare/7.0.2...7.0.3) (2023-04-19)


### Bug Fixes

* **databus:** add header key ([#69](https://github.com/drivesoftware/common/issues/69)) ([5917673](https://github.com/drivesoftware/common/commit/5917673150a93fc2140001c682a0132c9958cde3))

### [7.0.2](https://github.com/drivesoftware/common/compare/7.0.1...7.0.2) (2023-04-19)


### Bug Fixes

* **messaging:** add a static gateway to databus base path ([#68](https://github.com/drivesoftware/common/issues/68)) ([4321fc2](https://github.com/drivesoftware/common/commit/4321fc2813408ab1a7b43a129c1ca1ebef51bfbe))

### [7.0.1](https://github.com/drivesoftware/common/compare/7.0.0...7.0.1) (2023-04-17)


### Bug Fixes

* **all:** remove unnecessary configuration keys ([#67](https://github.com/drivesoftware/common/issues/67)) ([923b06e](https://github.com/drivesoftware/common/commit/923b06edc66b7efa33dd06c59a1c4c74e6339de5))

## [7.0.0](https://github.com/drivesoftware/common/compare/6.29.0...7.0.0) (2023-04-16)


### ⚠ BREAKING CHANGES

* **transport:** switch transport from msmq to sql

Also switches solution to central package versions.
Also adjusts nhibernate usage for transaction scope - https://nhibernate.info/previous-doc/v5.2/ref/transactions.html#transactions-scopes.

### Features

* **transport:** switch from msmq to sql ([#66](https://github.com/drivesoftware/common/issues/66)) ([9d5b94a](https://github.com/drivesoftware/common/commit/9d5b94afdcbc6cd0fdb6ee40a6259dd277eacfd8))

## [6.29.0](https://github.com/drivesoftware/common/compare/6.28.0...6.29.0) (2023-04-03)


### Features

* **email:** add ms graph email sender ([#65](https://github.com/drivesoftware/common/issues/65)) ([8a24e95](https://github.com/drivesoftware/common/commit/8a24e958af7aad93c10599ede7e34fbd41cead58))

## [6.28.0](https://github.com/drivesoftware/common/compare/6.27.1...6.28.0) (2023-03-17)


### Features

* **roles:** add edit reconciled security role ([#64](https://github.com/drivesoftware/common/issues/64)) ([c44d0d3](https://github.com/drivesoftware/common/commit/c44d0d36f829d139279fb4377dd3e894e2816842))

### [6.27.1](https://github.com/drivesoftware/common/compare/6.27.0...6.27.1) (2023-03-13)

## [6.27.0](https://github.com/drivesoftware/common/compare/6.26.0...6.27.0) (2023-03-10)


### Features

* **roles:** add sync list access role ([#62](https://github.com/drivesoftware/common/issues/62)) ([38e331a](https://github.com/drivesoftware/common/commit/38e331ae4a674f54008ad3f885a3336ae2b30822))

## [6.26.0](https://github.com/drivesoftware/common/compare/6.25.0...6.26.0) (2023-02-24)


### Features

* **enumeration-type:** enhance nhibnerate type for enumeration ([#61](https://github.com/drivesoftware/common/issues/61)) ([f9df2e5](https://github.com/drivesoftware/common/commit/f9df2e514495559d3bb5caf2405b853b04f7292f))

## [6.25.0](https://github.com/drivesoftware/common/compare/6.24.1...6.25.0) (2023-02-14)


### Features

* **audio-sync:** add role for force sync audio ([#60](https://github.com/drivesoftware/common/issues/60)) ([817839a](https://github.com/drivesoftware/common/commit/817839a1cc60d11446699a4353f723c2348bcfe0))

### [6.24.1](https://github.com/drivesoftware/common/compare/6.24.0...6.24.1) (2023-01-29)

## [6.24.0](https://github.com/drivesoftware/common/compare/6.23.7...6.24.0) (2022-11-21)


### Features

* **auth:** remove custom oidc implementation ([#58](https://github.com/drivesoftware/common/issues/58)) ([34f40f8](https://github.com/drivesoftware/common/commit/34f40f8f255ceb847110b681a2d649c1205e776c))

### [6.23.7](https://github.com/drivesoftware/common/compare/6.23.6...6.23.7) (2022-10-13)



### [6.23.6](https://github.com/drivesoftware/common/compare/6.23.5...6.23.6) (2022-09-29)

### [6.23.5](https://github.com/drivesoftware/common/compare/6.23.4...6.23.5) (2022-09-02)

### [6.23.4](https://github.com/drivesoftware/common/compare/6.23.3...6.23.4) (2022-06-14)

### [6.23.3](https://github.com/drivesoftware/common/compare/6.23.2...6.23.3) (2022-06-12)


### Bug Fixes

* **security-roles:** rename brief type to scope ([#53](https://github.com/drivesoftware/common/issues/53)) ([11b7c1e](https://github.com/drivesoftware/common/commit/11b7c1e06a5e5b0be02c00db02bd714aaf9aad9c))

### [6.23.2](https://github.com/drivesoftware/common/compare/6.23.1...6.23.2) (2022-05-24)

### [6.23.1](https://github.com/drivesoftware/common/compare/6.23.0...6.23.1) (2022-05-20)

## [6.23.0](https://github.com/drivesoftware/common/compare/6.22.4...6.23.0) (2022-04-27)


### Features

* **aggregate-audit:** enable registration of audit with event handler ([#49](https://github.com/drivesoftware/common/issues/49)) ([a3cff7d](https://github.com/drivesoftware/common/commit/a3cff7df9e6b7585a6bf1e37487d0ba25edc4542))

### [6.22.4](https://github.com/drivesoftware/common/compare/6.22.3...6.22.4) (2022-03-24)


### Bug Fixes

* **roles:** rename roles ([9aae085](https://github.com/drivesoftware/common/commit/9aae085a420bd6e5cde9e92ff39b8180f5e1c597))
* **security-roles:** remove duplicate codes ([ac5855a](https://github.com/drivesoftware/common/commit/ac5855a38a048878dd26e4c49d90e40a0939efc8))

### [6.22.3](https://github.com/drivesoftware/common/compare/6.22.2...6.22.3) (2022-03-22)

### [6.22.2](https://github.com/drivesoftware/common/compare/6.22.1...6.22.2) (2022-02-16)


### Bug Fixes

* **logout:** revoke should only remove refresh token for given access token ([#47](https://github.com/drivesoftware/common/issues/47)) ([1992195](https://github.com/drivesoftware/common/commit/19921958b25d5d324e48e608ad6a967eee362619))

### [6.22.1](https://github.com/drivesoftware/common/compare/6.22.0...6.22.1) (2021-12-08)

## [6.22.0](https://github.com/drivesoftware/common/compare/6.21.0...6.22.0) (2021-11-23)


### Features

* **sftp:** obsolete client and replace with extension methods ([#46](https://github.com/drivesoftware/common/issues/46)) ([c82fdfe](https://github.com/drivesoftware/common/commit/c82fdfef6a1786db771ed59f42e4746fc9a51106))

## [6.21.0](https://github.com/drivesoftware/common/compare/6.20.0...6.21.0) (2021-11-15)


### Features

* **roles:** add contract packing role ([#45](https://github.com/drivesoftware/common/issues/45)) ([c07ed4e](https://github.com/drivesoftware/common/commit/c07ed4e))



## [6.20.0](https://github.com/drivesoftware/common/compare/6.19.2...6.20.0) (2021-10-04)


### Features

* **aggregate-loader:** add load by predicate overload ([#44](https://github.com/drivesoftware/common/issues/44)) ([9714b8d](https://github.com/drivesoftware/common/commit/9714b8d862f636b313c8e82cd480c2e0035c575f))

### [6.19.2](https://github.com/drivesoftware/common/compare/6.19.1...6.19.2) (2021-09-27)

### [6.19.1](https://github.com/drivesoftware/common/compare/6.19.0...6.19.1) (2021-09-23)


### Bug Fixes

* **command-dispatcher:** change interface ([bbaae61](https://github.com/drivesoftware/common/commit/bbaae61087204d69422b54c9adeca7acd029bf0a))

## [6.19.0](https://github.com/drivesoftware/common/compare/6.18.0...6.19.0) (2021-09-23)


### Features

* **command-dispatcher:** support routing slip send ([c61d915](https://github.com/drivesoftware/common/commit/c61d91564acc676301dcdd097e0bf144d1bb2b73))

## [6.18.0](https://github.com/drivesoftware/common/compare/6.17.1...6.18.0) (2021-09-22)


### Features

* **all:** add drive context ([#39](https://github.com/drivesoftware/common/issues/39)) ([a2d1d8f](https://github.com/drivesoftware/common/commit/a2d1d8fe2455b55797b53f457b99416e24a04e70))

### [6.17.1](https://github.com/drivesoftware/common/compare/6.17.0...6.17.1) (2021-08-27)

## [6.17.0](https://github.com/drivesoftware/common/compare/6.16.2...6.17.0) (2021-08-26)


### Features

* **web:** add web claims principal behavior ([#43](https://github.com/drivesoftware/common/issues/43)) ([5e76ee3](https://github.com/drivesoftware/common/commit/5e76ee3))



### [6.16.2](https://github.com/drivesoftware/common/compare/6.16.1...6.16.2) (2021-08-24)

### [6.16.1](https://github.com/drivesoftware/common/compare/6.16.0...6.16.1) (2021-08-21)

## [6.16.0](https://github.com/drivesoftware/common/compare/6.15.7...6.16.0) (2021-08-05)


### Features

* **common:** add delete to persister ([#41](https://github.com/drivesoftware/common/issues/41)) ([1baa5ee](https://github.com/drivesoftware/common/commit/1baa5eec2283a3a08a92e229367a9989d4507178))

### [6.15.7](https://github.com/drivesoftware/common/compare/6.15.6...6.15.7) (2021-07-28)


### Bug Fixes

* **data:** legacy aggregate loader null check ([161a965](https://github.com/drivesoftware/common/commit/161a96587a937e3f952656fe7ace8d1ece8a9910))

### [6.15.6](https://github.com/drivesoftware/common/compare/6.15.5...6.15.6) (2021-07-26)


### Bug Fixes

* **data:** aggregate loader result when non existent ([#40](https://github.com/drivesoftware/common/issues/40)) ([dc14c26](https://github.com/drivesoftware/common/commit/dc14c26ea1a8a223edb9ffab6c9c141658fef08b))

### [6.15.5](https://github.com/drivesoftware/common/compare/6.15.4...6.15.5) (2021-07-21)

### [6.15.4](https://github.com/drivesoftware/common/compare/6.15.3...6.15.4) (2021-07-08)

### [6.15.3](https://github.com/drivesoftware/common/compare/6.15.2...6.15.3) (2021-05-19)

### [6.15.2](https://github.com/drivesoftware/common/compare/6.15.1...6.15.2) (2021-05-19)

### [6.15.1](https://github.com/drivesoftware/common/compare/6.15.0...6.15.1) (2021-05-18)

## [6.15.0](https://github.com/drivesoftware/common/compare/6.14.2...6.15.0) (2021-03-16)


### Features

* **finance:** add close month role ([d37325f](https://github.com/drivesoftware/common/commit/d37325f18f66eabf5762fd0b825bdc561dff35fc))

### [6.14.2](https://github.com/drivesoftware/common/compare/6.14.1...6.14.2) (2021-03-15)


### Bug Fixes

* **testing:** cater for dot in table name in test data cleanup ([92c90b2](https://github.com/drivesoftware/common/commit/92c90b229f7c49265bc086cfaae5e2518384b14c))

### [6.14.1](https://github.com/drivesoftware/common/compare/6.14.0...6.14.1) (2021-02-10)


### Bug Fixes

* **config:** separate user identity setting ([24c6241](https://github.com/drivesoftware/common/commit/24c6241a6daa935ced2daac91c1e22c23306a3e3))

## [6.14.0](https://github.com/drivesoftware/common/compare/6.13.0...6.14.0) (2021-01-11)


### Features

* **contract:** unrestricted charge line entry ([#38](https://github.com/drivesoftware/common/issues/38)) ([a91fb72](https://github.com/drivesoftware/common/commit/a91fb72))



## [6.13.0](https://github.com/drivesoftware/common/compare/6.12.1...6.13.0) (2020-11-18)


### Features

* **messaging:** add host multiple endpoints support ([#37](https://github.com/drivesoftware/common/issues/37)) ([1c439a0](https://github.com/drivesoftware/common/commit/1c439a0))



### [6.12.1](https://github.com/drivesoftware/common/compare/6.12.0...6.12.1) (2020-11-03)



## [6.12.0](https://github.com/drivesoftware/common/compare/6.11.4...6.12.0) (2020-10-22)


### Features

* **data:** add aggregate collection support for load and persist operation ([#36](https://github.com/drivesoftware/common/issues/36)) ([58b70bc](https://github.com/drivesoftware/common/commit/58b70bc))



### [6.11.4](https://github.com/drivesoftware/common/compare/6.11.3...6.11.4) (2020-10-19)


### Bug Fixes

* **messaging:** use callback instead of exposing session ([90f5c50](https://github.com/drivesoftware/common/commit/90f5c50))



### [6.11.3](https://github.com/drivesoftware/common/compare/6.11.2...6.11.3) (2020-10-19)


### Bug Fixes

* **messaging:** expose message session from host for send at startup ([c88e20b](https://github.com/drivesoftware/common/commit/c88e20b))



### [6.11.2](https://github.com/drivesoftware/common/compare/6.11.1...6.11.2) (2020-10-13)



### [6.11.1](https://github.com/drivesoftware/common/compare/6.11.0...6.11.1) (2020-10-07)


### Bug Fixes

* **csv:** allow class maps to be specified ([c0731ec](https://github.com/drivesoftware/common/commit/c0731ec5ed9a71fe372cdddab19f28c891dfc1ac))

## [6.11.0](https://github.com/drivesoftware/common/compare/6.10.0...6.11.0) (2020-10-07)


### Features

* **csv:** allow for provision of culture info to csv write ([5900536](https://github.com/drivesoftware/common/commit/5900536))



## [6.10.0](https://github.com/drivesoftware/common/compare/6.9.4...6.10.0) (2020-10-03)


### Features

* **security:** add role for changing organistion type ([95f95ef](https://github.com/drivesoftware/common/commit/95f95ef66f75eaf08c1764c04053db0ec087c9a2))

### [6.9.4](https://github.com/drivesoftware/common/compare/6.9.3...6.9.4) (2020-10-03)


### Bug Fixes

* **web:** add dispath result interface ([8725ea2](https://github.com/drivesoftware/common/commit/8725ea2))



### [6.9.3](https://github.com/drivesoftware/common/compare/6.9.2...6.9.3) (2020-09-21)


### Bug Fixes

* **web:** command dispatcher needs to use send options ([1476d21](https://github.com/drivesoftware/common/commit/1476d21))



### [6.9.2](https://github.com/drivesoftware/common/compare/6.9.1...6.9.2) (2020-09-21)



### [6.9.1](https://github.com/drivesoftware/common/compare/6.9.0...6.9.1) (2020-09-19)

## [6.9.0](https://github.com/drivesoftware/common/compare/6.8.5...6.9.0) (2020-09-17)


### Features

* **messaging:** remove claims principal current usage ([#34](https://github.com/drivesoftware/common/issues/34)) ([e4fe902](https://github.com/drivesoftware/common/commit/e4fe902))



### [6.8.5](https://github.com/drivesoftware/common/compare/6.8.4...6.8.5) (2020-09-17)



### [6.8.4](https://github.com/drivesoftware/common/compare/6.8.3...6.8.4) (2020-09-17)


### Bug Fixes

* **ftp:** cater for host parameter that is missing scheme ([b8eddac](https://github.com/drivesoftware/common/commit/b8eddac))



### [6.8.3](https://github.com/drivesoftware/common/compare/6.8.2...6.8.3) (2020-09-16)



### [6.8.2](https://github.com/drivesoftware/common/compare/6.8.1...6.8.2) (2020-09-14)


### Bug Fixes

* **security-roles:** add imported audio line create role ([69518f0](https://github.com/drivesoftware/common/commit/69518f0))



### [6.8.1](https://github.com/drivesoftware/common/compare/6.8.0...6.8.1) (2020-09-14)


### Bug Fixes

* **security-roles:** add missing roles to role manager ([5ccb0ad](https://github.com/drivesoftware/common/commit/5ccb0ad))



## [6.8.0](https://github.com/drivesoftware/common/compare/6.7.0...6.8.0) (2020-09-03)


### Features

* **contract:** contract agency entry security role ([#35](https://github.com/drivesoftware/common/issues/35)) ([038b77c](https://github.com/drivesoftware/common/commit/038b77c))



## [6.7.0](https://github.com/drivesoftware/common/compare/6.6.2...6.7.0) (2020-08-17)


### Features

* **sftp:** sftp support ([#33](https://github.com/drivesoftware/common/issues/33)) ([0c975ac](https://github.com/drivesoftware/common/commit/0c975ac))



### [6.6.2](https://github.com/drivesoftware/common/compare/6.6.1...6.6.2) (2020-08-10)


### Bug Fixes

* **security:** check to ensure discovery doc has revocation endpoint ([f80b3d9](https://github.com/drivesoftware/common/commit/f80b3d9))



### [6.6.1](https://github.com/drivesoftware/common/compare/6.6.0...6.6.1) (2020-07-27)



## [6.6.0](https://github.com/drivesoftware/common/compare/6.5.0...6.6.0) (2020-07-27)


### Features

* **security:** expose create receivable account role ([1960c7b](https://github.com/drivesoftware/common/commit/1960c7b))



## [6.5.0](https://github.com/drivesoftware/common/compare/6.4.3...6.5.0) (2020-07-23)


### Features

* **contract:** contract agency support role ([#32](https://github.com/drivesoftware/common/issues/32)) ([7296cc5](https://github.com/drivesoftware/common/commit/7296cc5))



### [6.4.3](https://github.com/drivesoftware/common/compare/6.4.2...6.4.3) (2020-07-20)


### Bug Fixes

* **security:** cater for inactive users in token storage ([835883e](https://github.com/drivesoftware/common/commit/835883e))



### [6.4.2](https://github.com/drivesoftware/common/compare/6.4.1...6.4.2) (2020-07-03)


### Bug Fixes

* **authentication:** add logging to code token exchanges ([8f19d6d](https://github.com/drivesoftware/common/commit/8f19d6d))



### [6.4.1](https://github.com/drivesoftware/common/compare/6.4.0...6.4.1) (2020-06-12)


### Bug Fixes

* **endpoints:** provide settings from host ([dcf1f6f](https://github.com/drivesoftware/common/commit/dcf1f6f))



## [6.4.0](https://github.com/drivesoftware/common/compare/6.3.1...6.4.0) (2020-06-12)


### Features

* **config:** add additional endpoint config ([16520ed](https://github.com/drivesoftware/common/commit/16520ed))



### [6.3.1](https://github.com/drivesoftware/common/compare/6.3.0...6.3.1) (2020-06-11)


### Bug Fixes

* **messaging:** remove dependency on nsb.sql.persistence ([0c91042](https://github.com/drivesoftware/common/commit/0c91042))



## [6.3.0](https://github.com/drivesoftware/common/compare/6.2.0...6.3.0) (2020-06-10)


### Features

* **endpoints:** move to microsoft di abstraction ([#31](https://github.com/drivesoftware/common/issues/31)) ([310cbc2](https://github.com/drivesoftware/common/commit/310cbc2))



## [6.2.0](https://github.com/drivesoftware/common/compare/6.1.0...6.2.0) (2020-06-09)


### Features

* **endpoints:** provide host implementation ([e2729dc](https://github.com/drivesoftware/common/commit/e2729dc))



## [6.1.0](https://github.com/drivesoftware/common/compare/6.0.0...6.1.0) (2020-06-09)


### Features

* **endpoints:** add service host for endpoints ([e072304](https://github.com/drivesoftware/common/commit/e072304))



## [6.0.0](https://github.com/drivesoftware/common/compare/5.17.1...6.0.0) (2020-06-04)


### Features

* **all:** upgrade nservice bus ([#30](https://github.com/drivesoftware/common/issues/30)) ([ce1c67d](https://github.com/drivesoftware/common/commit/ce1c67d))


### BREAKING CHANGES

* **all:** NServiceBus dependency upgraded



### [5.17.1](https://github.com/drivesoftware/common/compare/5.17.0...5.17.1) (2020-05-26)

## [5.17.0](https://github.com/drivesoftware/common/compare/5.16.0...5.17.0) (2020-05-17)


### Features

* **target:** upgrade to net48 ([#29](https://github.com/drivesoftware/common/issues/29)) ([b0b4992](https://github.com/drivesoftware/common/commit/b0b4992))



## [5.16.0](https://github.com/drivesoftware/common/compare/5.15.1...5.16.0) (2020-05-05)


### Features

* **commands:** add dispatch pipeline for validation ([#28](https://github.com/drivesoftware/common/issues/28)) ([da34a73](https://github.com/drivesoftware/common/commit/da34a73cc4367921152a2d732fc44fb11f1c1ae7))

### [5.15.1](https://github.com/drivesoftware/common/compare/5.15.0...5.15.1) (2020-04-08)



## [5.15.0](https://github.com/drivesoftware/common/compare/5.14.2...5.15.0) (2020-04-08)


### Features

* **security:** support token validation for multiple issuers ([a7624c8](https://github.com/drivesoftware/common/commit/a7624c8))



### [5.14.2](https://github.com/drivesoftware/common/compare/5.14.1...5.14.2) (2020-03-02)


### Bug Fixes

* **security:** turn off key caching to avoid memory leak ([#27](https://github.com/drivesoftware/common/issues/27)) ([0c3d941](https://github.com/drivesoftware/common/commit/0c3d941))



### [5.14.1](https://github.com/drivesoftware/common/compare/5.14.0...5.14.1) (2020-02-15)


### Bug Fixes

* **csv:** roll csvhelper version back to 12.3.2 ([f26f404](https://github.com/drivesoftware/common/commit/f26f404))



## [5.14.0](https://github.com/drivesoftware/common/compare/5.13.3...5.14.0) (2020-02-13)


### Features

* **csv:** boolean yes no csv type converter ([#26](https://github.com/drivesoftware/common/issues/26)) ([94fb462](https://github.com/drivesoftware/common/commit/94fb462))



### [5.13.3](https://github.com/drivesoftware/common/compare/5.13.2...5.13.3) (2020-02-05)


### Bug Fixes

* **csv:** dispose resources after use ([#25](https://github.com/drivesoftware/common/issues/25)) ([1ceb1e4](https://github.com/drivesoftware/common/commit/1ceb1e4))



### [5.13.2](https://github.com/drivesoftware/common/compare/5.13.1...5.13.2) (2020-01-31)



### [5.13.1](https://github.com/drivesoftware/common/compare/5.13.0...5.13.1) (2020-01-31)


### Bug Fixes

* **tests:** update references ([ad0795c](https://github.com/drivesoftware/common/commit/ad0795c))



## [5.13.0](https://github.com/drivesoftware/common/compare/5.12.2...5.13.0) (2020-01-31)


### Features

* **email:** add send support ([#24](https://github.com/drivesoftware/common/issues/24)) ([5fafa9d](https://github.com/drivesoftware/common/commit/5fafa9d))



### [5.12.2](https://github.com/drivesoftware/common/compare/5.12.1...5.12.2) (2020-01-14)


### Bug Fixes

* **auth:** key resolver async fix ([4bfa9bc](https://github.com/drivesoftware/common/commit/4bfa9bc))



### [5.12.1](https://github.com/drivesoftware/common/compare/5.12.0...5.12.1) (2020-01-14)


### Bug Fixes

* **all:** add missing configure await ([4d916a6](https://github.com/drivesoftware/common/commit/4d916a6))



## [5.12.0](https://github.com/drivesoftware/common/compare/5.10.2...5.12.0) (2020-01-10)


### Features

* **auth:** add message signing infrastructure ([#23](https://github.com/drivesoftware/common/issues/23)) ([9c1b13f](https://github.com/drivesoftware/common/commit/9c1b13f))



### [5.10.2](https://github.com/drivesoftware/common/compare/5.10.1...5.10.2) (2020-01-08)


### Bug Fixes

* **config:** add hosted domain property ([7f613e0](https://github.com/drivesoftware/common/commit/7f613e0))



### [5.10.1](https://github.com/drivesoftware/common/compare/5.10.0...5.10.1) (2019-12-19)



## [5.11.0-beta.15](https://github.com/drivesoftware/common/compare/5.11.0-beta.14...5.11.0-beta.15) (2019-12-10)



## [5.11.0-beta.14](https://github.com/drivesoftware/common/compare/5.11.0-beta.13...5.11.0-beta.14) (2019-12-10)


### Bug Fixes

* **security:** only need multiple audiences ([741eee8](https://github.com/drivesoftware/common/commit/741eee8))



## [5.11.0-beta.13](https://github.com/drivesoftware/common/compare/5.11.0-beta.12...5.11.0-beta.13) (2019-12-10)


### Bug Fixes

* **tests:** remove dev token service endpoint ([7a7042b](https://github.com/drivesoftware/common/commit/7a7042b))



## [5.11.0-beta.12](https://github.com/drivesoftware/common/compare/5.11.0-beta.11...5.11.0-beta.12) (2019-12-10)


### Bug Fixes

* **security:** allow validation with multiple issuers ([13ec38f](https://github.com/drivesoftware/common/commit/13ec38f))



## [5.11.0-beta.11](https://github.com/drivesoftware/common/compare/5.11.0-beta.10...5.11.0-beta.11) (2019-12-03)


### Bug Fixes

* **security:** configure ioc ([8a61e8f](https://github.com/drivesoftware/common/commit/8a61e8f))



## [5.11.0-beta.10](https://github.com/drivesoftware/common/compare/5.11.0-beta.9...5.11.0-beta.10) (2019-12-03)


### Bug Fixes

* **security:** use form encoding for openid requests ([992686e](https://github.com/drivesoftware/common/commit/992686e))



## [5.11.0-beta.9](https://github.com/drivesoftware/common/compare/5.11.0-beta.8...5.11.0-beta.9) (2019-12-03)


### Bug Fixes

* **security:** use form encoding for openid requests ([4d85b15](https://github.com/drivesoftware/common/commit/4d85b15))



## [5.11.0-beta.8](https://github.com/drivesoftware/common/compare/5.11.0-beta.7...5.11.0-beta.8) (2019-12-02)


### Bug Fixes

* **config:** use correct name for client secret ([af2c90b](https://github.com/drivesoftware/common/commit/af2c90b))



## [5.11.0-beta.7](https://github.com/drivesoftware/common/compare/5.11.0-beta.6...5.11.0-beta.7) (2019-12-02)


### Features

* **token:** add openid token handlers ([c3aa3d2](https://github.com/drivesoftware/common/commit/c3aa3d2))



## [5.11.0-beta.6](https://github.com/drivesoftware/common/compare/5.11.0-beta.5...5.11.0-beta.6) (2019-11-11)


### Bug Fixes

* **validator:** rollback expired token validation ([04d2c2c](https://github.com/drivesoftware/common/commit/04d2c2c))



## [5.11.0-beta.5](https://github.com/drivesoftware/common/compare/5.11.0-beta.4...5.11.0-beta.5) (2019-11-11)



## [5.11.0-beta.4](https://github.com/drivesoftware/common/compare/5.11.0-beta.3...5.11.0-beta.4) (2019-11-11)


### Bug Fixes

* **validator:** allow validation of expired tokens ([5b2abee](https://github.com/drivesoftware/common/commit/5b2abee))



## [5.11.0-beta.3](https://github.com/drivesoftware/common/compare/5.11.0-beta.2...5.11.0-beta.3) (2019-10-14)



## [5.11.0-beta.2](https://github.com/drivesoftware/common/compare/5.11.0-beta.1...5.11.0-beta.2) (2019-10-14)



## [5.11.0-beta.1](https://github.com/drivesoftware/common/compare/5.11.0-beta.0...5.11.0-beta.1) (2019-10-13)


### Features

* **security:** add openid connect token validation handling ([1fa6586](https://github.com/drivesoftware/common/commit/1fa6586))



## [5.11.0-beta.0](https://github.com/drivesoftware/common/compare/5.10.0...5.11.0-beta.0) (2019-10-09)


### Features

* **security:** update system.identitymodel dep ([cb3f604](https://github.com/drivesoftware/common/commit/cb3f604))



## [5.10.0](https://github.com/drivesoftware/common/compare/5.9.2...5.10.0) (2019-10-07)


### Features

* **testing:** add helper for instantiating aggregate root ([4f2adb1](https://github.com/drivesoftware/common/commit/4f2adb1))



### [5.9.2](https://github.com/drivesoftware/common/compare/5.9.1...5.9.2) (2019-09-18)


### Bug Fixes

* **testing:** disable connection pooling for db integration tests ([1ef3fa0](https://github.com/drivesoftware/common/commit/1ef3fa0))



### [5.9.1](https://github.com/drivesoftware/common/compare/5.9.0...5.9.1) (2019-09-17)


### Bug Fixes

* **client:** generic typed identifier DB record support ([#20](https://github.com/drivesoftware/common/issues/20)) ([a2f9cef](https://github.com/drivesoftware/common/commit/a2f9cef))



## [5.9.0](https://github.com/drivesoftware/common/compare/5.8.0...5.9.0) (2019-09-15)


### Bug Fixes

* **aggregate:** change the way modified at is updated for optimistic lock ([#18](https://github.com/drivesoftware/common/issues/18)) ([54e44c1](https://github.com/drivesoftware/common/commit/54e44c1))


### Features

* **client:** entity loading capability ([#19](https://github.com/drivesoftware/common/issues/19)) ([83a8c58](https://github.com/drivesoftware/common/commit/83a8c58))



### [5.8.1](https://github.com/drivesoftware/common/compare/5.8.0...5.8.1) (2019-09-04)


### Bug Fixes

* **aggregate:** change the way modified at is updated for optimistic lock ([#18](https://github.com/drivesoftware/common/issues/18)) ([54e44c1](https://github.com/drivesoftware/common/commit/54e44c1))



## [5.8.0](https://github.com/drivesoftware/common/compare/5.7.2...5.8.0) (2019-07-12)


### Features

* **persister:** support flush on persist ([#17](https://github.com/drivesoftware/common/issues/17)) ([3abcf47](https://github.com/drivesoftware/common/commit/3abcf47))



## [5.7.2](https://github.com/drivesoftware/common/compare/5.7.1...5.7.2) (2019-06-06)



## [5.7.1](https://github.com/drivesoftware/common/compare/5.7.0...5.7.1) (2019-06-06)



# [5.7.0](https://github.com/drivesoftware/common/compare/5.6.0...5.7.0) (2019-05-22)


### Features

* **string:** add full text cleanse extension ([#16](https://github.com/drivesoftware/common/issues/16)) ([7d31ac9](https://github.com/drivesoftware/common/commit/7d31ac9))



<a name="5.6.0"></a>
# [5.6.0](https://github.com/drivesoftware/common/compare/5.5.1...5.6.0) (2019-03-27)


### Features

* **aggregate:** add aggregate root, loader and persister ([#15](https://github.com/drivesoftware/common/issues/15)) ([e9c785d](https://github.com/drivesoftware/common/commit/e9c785d))



<a name="5.5.1"></a>
## [5.5.1](https://github.com/drivesoftware/common/compare/5.5.0...v5.5.1) (2019-02-12)



<a name="5.5.0"></a>
# [5.5.0](https://github.com/drivesoftware/common/compare/5.4.1...5.5.0) (2019-01-21)


### Features

* **version:** add instant version type ([#14](https://github.com/drivesoftware/common/issues/14)) ([33e46e2](https://github.com/drivesoftware/common/commit/33e46e2))



<a name="5.4.1"></a>
## [5.4.1](https://github.com/drivesoftware/common/compare/5.4.0...v5.4.1) (2018-11-23)



<a name="5.4.0"></a>
# [5.4.0](https://github.com/drivesoftware/common/compare/5.3.3...v5.4.0) (2018-11-23)


### Bug Fixes

* **data:** make nhibernate batch size configurable ([f9a63f2](https://github.com/drivesoftware/common/commit/f9a63f2))


### Features

* **messaging:** allow incoming auth headers to be overridden before outgoing mutator ([c1b0cf5](https://github.com/drivesoftware/common/commit/c1b0cf5))
* **messaging:** allow timeout saga to force work to be done ([790f3ac](https://github.com/drivesoftware/common/commit/790f3ac))



<a name="5.3.3"></a>
## [5.3.3](https://github.com/drivesoftware/common/compare/5.3.2...v5.3.3) (2018-09-26)



<a name="5.3.2"></a>
## [5.3.2](https://github.com/drivesoftware/common/compare/5.3.1...v5.3.2) (2018-09-18)


### Bug Fixes

* **messaging:** publish events bus extension ([9ee6a16](https://github.com/drivesoftware/common/commit/9ee6a16))



<a name="5.3.1"></a>
## [5.3.1](https://github.com/drivesoftware/common/compare/5.3.0...v5.3.1) (2018-09-18)



<a name="5.3.0"></a>
# [5.3.0](https://github.com/drivesoftware/common/compare/5.2.2...v5.3.0) (2018-09-18)


### Features

* **domain:** add event source interface ([ad9d070](https://github.com/drivesoftware/common/commit/ad9d070))



<a name="5.2.2"></a>
## [5.2.2](https://github.com/drivesoftware/common/compare/5.2.1...v5.2.2) (2018-09-03)



<a name="5.2.1"></a>
## [5.2.1](https://github.com/drivesoftware/common/compare/5.2.0...v5.2.1) (2018-08-30)


### Bug Fixes

* **domain:** record base type constructor visibility ([e343415](https://github.com/drivesoftware/common/commit/e343415))



<a name="5.2.0"></a>
# [5.2.0](https://github.com/drivesoftware/common/compare/5.1.1...v5.2.0) (2018-08-30)


### Features

* **domain:** add base aggregate and entity record ([5c6663e](https://github.com/drivesoftware/common/commit/5c6663e))



<a name="5.1.1"></a>
## [5.1.1](https://github.com/drivesoftware/common/compare/5.1.0...v5.1.1) (2018-08-23)


### Bug Fixes

* **ravendb:** add nodatime config to document store creation ([62d080e](https://github.com/drivesoftware/common/commit/62d080e))



<a name="5.1.0"></a>
# [5.1.0](https://github.com/drivesoftware/common/compare/5.0.2...v5.1.0) (2018-08-20)


### Features

* **aggregate:** make created by id required by ctor ([a62da11](https://github.com/drivesoftware/common/commit/a62da11))



<a name="5.0.2"></a>
## [5.0.2](https://github.com/drivesoftware/common/compare/5.0.1...v5.0.2) (2018-08-17)


### Bug Fixes

* **aggregate:** ensure event stream is initialized ([ef1e5f9](https://github.com/drivesoftware/common/commit/ef1e5f9))



<a name="5.0.1"></a>
## [5.0.1](https://github.com/drivesoftware/common/compare/5.0.0...v5.0.1) (2018-08-16)


### Bug Fixes

* **aggregate:** ctor access modifier ([fc3f36d](https://github.com/drivesoftware/common/commit/fc3f36d))



<a name="5.0.0"></a>
# [5.0.0](https://github.com/drivesoftware/common/compare/4.9.0...v5.0.0) (2018-08-16)


### Features

* **clock:** replace ambient context with provider service ([633ef8c](https://github.com/drivesoftware/common/commit/633ef8c))


### BREAKING CHANGES

* **clock:** clock API changes



<a name="4.9.0"></a>
# [4.9.0](https://github.com/drivesoftware/common/compare/4.8.0...v4.9.0) (2018-08-15)


### Features

* **clock:** add next and previous month end extensions ([012a739](https://github.com/drivesoftware/common/commit/012a739))



<a name="4.8.0"></a>
# [4.8.0](https://github.com/drivesoftware/common/compare/4.7.1...v4.8.0) (2018-08-15)


### Features

* **testing:** add ability to reset clock fake clock ([6faf41f](https://github.com/drivesoftware/common/commit/6faf41f))



<a name="4.7.1"></a>
## [4.7.1](https://github.com/drivesoftware/common/compare/4.7.0...v4.7.1) (2018-08-14)



<a name="4.7.0"></a>
# [4.7.0](https://github.com/drivesoftware/common/compare/4.6.3...v4.7.0) (2018-08-14)


### Features

* **enumerable-extensions:** add batch implementation from morelinq ([c7055f2](https://github.com/drivesoftware/common/commit/c7055f2))



<a name="4.6.3"></a>
## [4.6.3](https://github.com/drivesoftware/common/compare/4.6.2...v4.6.3) (2018-08-14)



<a name="4.6.2"></a>
## [4.6.2](https://github.com/drivesoftware/common/compare/4.6.1...v4.6.2) (2018-07-24)



<a name="4.6.1"></a>
## [4.6.1](https://github.com/drivesoftware/common/compare/4.6.0...v4.6.1) (2018-04-19)



<a name="4.6.0"></a>
# [4.6.0](https://github.com/drivesoftware/common/compare/4.5.3...v4.6.0) (2018-04-19)


### Features

* **security:** add extension method for staff id ([18615da](https://github.com/drivesoftware/common/commit/18615da))



<a name="4.5.3"></a>
## [4.5.3](https://github.com/drivesoftware/common/compare/4.5.2...v4.5.3) (2018-03-22)


### Bug Fixes

* **persistence:** infrastructure changes for nhibernate five ([abcde48](https://github.com/drivesoftware/common/commit/abcde48))



<a name="4.5.2"></a>
## [4.5.2](https://github.com/drivesoftware/common/compare/4.5.1...v4.5.2) (2018-02-20)



<a name="4.5.1"></a>
## [4.5.1](https://github.com/drivesoftware/common/compare/4.5.0...v4.5.1) (2018-02-20)



<a name="4.5.0"></a>
# [4.5.0](https://github.com/drivesoftware/common/compare/4.3.3...v4.5.0) (2018-02-20)


### Features

* **database-test:** refactor database test ([05663c1](https://github.com/drivesoftware/common/commit/05663c1))



<a name="4.4.2"></a>
## [4.4.2](https://github.com/drivesoftware/common/compare/4.4.1...v4.4.2) (2018-02-15)



<a name="4.4.1"></a>
## [4.4.1](https://github.com/drivesoftware/common/compare/4.4.0...v4.4.1) (2018-02-14)



<a name="4.4.0"></a>
# [4.4.0](https://github.com/drivesoftware/common/compare/4.3.1...v4.4.0) (2018-02-14)


### Features

* **database-test:** refactor database test ([82624c3](https://github.com/drivesoftware/common/commit/82624c3))



<a name="4.3.3"></a>
## [4.3.3](https://github.com/drivesoftware/common/compare/4.3.2...4.3.3) (2018-02-15)

### Bug Fixes

* **query-dispatcher:** use TransactionScope with ReadUncommitted isolation level ([826aeea](https://github.com/drivesoftware/common/commit/826aeea))


<a name="4.3.2"></a>
## [4.3.2](https://github.com/drivesoftware/common/compare/4.3.1...4.3.2) (2018-02-15)


### Bug Fixes

* **query-dispatcher:** use TransactionScope instead of an explicit transaction ([8ca1e30](https://github.com/drivesoftware/common/commit/8ca1e30))



<a name="4.3.1"></a>
## [4.3.1](https://github.com/drivesoftware/common/compare/4.3.0...4.3.1) (2018-02-14)



<a name="4.3.0"></a>
# [4.3.0](https://github.com/drivesoftware/common/compare/4.2.1...4.3.0) (2018-02-12)


### Features

* **data:** add nhibernate Json Type implementation ([1a12668](https://github.com/drivesoftware/common/commit/1a12668))



<a name="4.2.1"></a>
## [4.2.1](https://github.com/drivesoftware/common/compare/4.2.0...v4.2.1) (2017-12-05)


### Bug Fixes

* **raven-client:** remove raven registry ([6533847](https://github.com/drivesoftware/common/commit/6533847))



<a name="4.2.0"></a>
# [4.2.0](https://github.com/drivesoftware/common/compare/4.1.1...v4.2.0) (2017-12-05)


### Features

* **raven-client:** reinstate raven client package ([92e5f17](https://github.com/drivesoftware/common/commit/92e5f17))



<a name="4.1.1"></a>
## [4.1.1](https://github.com/drivesoftware/common/compare/4.1.0...v4.1.1) (2017-12-05)


### Bug Fixes

* **aggregate:** invalid object initialization ([098f1ce](https://github.com/drivesoftware/common/commit/098f1ce))



<a name="4.1.0"></a>
# [4.1.0](https://github.com/drivesoftware/common/compare/4.0.0...v4.1.0) (2017-12-05)


### Features

* **csv:** allow providing type converter ([d81449c](https://github.com/drivesoftware/common/commit/d81449c))



<a name="4.0.0"></a>
# [4.0.0](https://github.com/drivesoftware/common/compare/3.1.0...v4.0.0) (2017-12-04)


### Features

* **persistence:** remove ravendb functionality ([f30240f](https://github.com/drivesoftware/common/commit/f30240f))


### BREAKING CHANGES

* **persistence:** No more support for RavenDB



<a name="3.1.0"></a>
# [3.1.0](https://github.com/drivesoftware/common/compare/3.0.6...v3.1.0) (2017-11-07)


### Features

* **persistence:** upgrade to nhibernate five ([cf072ca](https://github.com/drivesoftware/common/commit/cf072ca))



<a name="3.0.6"></a>
## [3.0.6](https://github.com/drivesoftware/common/compare/3.0.5...v3.0.6) (2017-09-27)



<a name="3.0.5"></a>
## [3.0.5](https://github.com/drivesoftware/common/compare/3.0.4...v3.0.5) (2017-09-22)


### Bug Fixes

* **package:** add versionprefix ([e9ef1dd](https://github.com/drivesoftware/common/commit/e9ef1dd))



<a name="3.0.4"></a>
## [3.0.4](https://github.com/drivesoftware/common/compare/3.0.3...v3.0.4) (2017-09-22)


### Bug Fixes

* **package:** remove unecessary references ([059dff5](https://github.com/drivesoftware/common/commit/059dff5))



<a name="3.0.3"></a>
## [3.0.3](https://github.com/drivesoftware/common/compare/3.0.2...v3.0.3) (2017-09-22)


### Bug Fixes

* **package:** set package description in csproj ([7ccb191](https://github.com/drivesoftware/common/commit/7ccb191))



<a name="3.0.2"></a>
## [3.0.2](https://github.com/drivesoftware/common/compare/3.0.1...v3.0.2) (2017-09-22)


### Bug Fixes

* **packaging:** move nuspec into csproj ([d8c9bcc](https://github.com/drivesoftware/common/commit/d8c9bcc))



<a name="3.0.1"></a>
## [3.0.1](https://github.com/drivesoftware/common/compare/3.0.0...v3.0.1) (2017-09-22)


### Bug Fixes

* **build:** disable append target to output path ([3e56aed](https://github.com/drivesoftware/common/commit/3e56aed))



<a name="3.0.0"></a>
# [3.0.0](https://github.com/drivesoftware/common/compare/2.31.1...v3.0.0) (2017-09-22)


### Features

* **restructure:** decompose common package ([3947a2d](https://github.com/drivesoftware/common/commit/3947a2d))


### BREAKING CHANGES

* **restructure:** Some `Drive.Common` functionality has been moved elsewhere



<a name="2.31.1"></a>
## [2.31.1](https://github.com/drivesoftware/common/compare/2.31.0...v2.31.1) (2017-09-14)


### Bug Fixes

* **database-test:** method invocation typo ([8ea46c6](https://github.com/drivesoftware/common/commit/8ea46c6))



<a name="2.31.0"></a>
# [2.31.0](https://github.com/drivesoftware/common/compare/2.30.1...v2.31.0) (2017-09-14)


### Features

* **database-test:** create auxiliary db objects hook ([29d8b1f](https://github.com/drivesoftware/common/commit/29d8b1f))



<a name="2.30.1"></a>
## [2.30.1](https://github.com/drivesoftware/common/compare/2.30.0...v2.30.1) (2017-07-30)


### Bug Fixes

* **test:** nservicebus test requires encrypted property convention ([8c67563](https://github.com/drivesoftware/common/commit/8c67563))



<a name="2.30.0"></a>
# [2.30.0](https://github.com/drivesoftware/common/compare/2.29.210...v2.30.0) (2017-07-28)


### Features

* **upgrade-ravendb:** upgrade to ravendb 3.5 ([633d111](https://github.com/drivesoftware/common/commit/633d111))



<a name="2.29.210"></a>
## [2.29.210](https://github.com/drivesoftware/common/compare/2.29.209...v2.29.210) (2017-07-24)


### Bug Fixes

* **package-definition:** remove invalid main entry point ([627d6a7](https://github.com/drivesoftware/common/commit/627d6a7))



<a name="2.29.209"></a>
## [2.29.209](https://github.com/drivesoftware/common/compare/2.29.208...v2.29.209) (2017-07-24)



<a name="2.29.208"></a>
## [2.29.208](https://github.com/drivesoftware/common/compare/2.29.151...v2.29.208) (2017-07-24)
