﻿using Lamar;

namespace Drive.Common.Data
{
    public class AggregateRootRegistry :
        ServiceRegistry
    {
        public AggregateRootRegistry()
        {
            For<IAggregateRootLoader>()
                .Use<AggregateRootLoader>()
                .Scoped();
            For<IAggregateRootPersister>()
                .Use<AggregateRootPersister>()
                .Scoped();
        }
    }
}
