﻿namespace Drive.Common.Security
{
    public class DriveAuthenticationOptions
    {
        public const string Auth = "Authentication";

        public IEnumerable<string> DiscoveryDocumentBaseAddresses { get; init; } = Enumerable.Empty<string>();
        public string RedirectUrl { get; init; } = string.Empty;
        public string ClientId { get; init; } = string.Empty;
        public string ClientSecret { get; init; } = string.Empty;
        public string HostedDomain { get; init; } = string.Empty;
    }
}
