﻿using System.Security.Claims;

namespace Drive.Common.Security.Extensions
{
    public static class MessageHandlerContextExtensions
    {
        public static int DriveUserId(this IMessageHandlerContext context)
        {
            ClaimsPrincipal principal = context.Extensions.Get<ClaimsPrincipal>();
            return principal.DriveUserId();
        }

        public static int DriveUserBranchId(this IMessageHandlerContext context)
        {
            ClaimsPrincipal principal = context.Extensions.Get<ClaimsPrincipal>();
            return principal.DriveUserBranchId();
        }

        public static int DriveStaffId(this IMessageHandlerContext context)
        {
            ClaimsPrincipal principal = context.Extensions.Get<ClaimsPrincipal>();
            return principal.DriveStaffId();
        }

        public static string DriveUserCode(this IMessageHandlerContext context)
        {
            ClaimsPrincipal principal = context.Extensions.Get<ClaimsPrincipal>();
            return principal.DriveUserCode();
        }
    }
}