﻿namespace Drive.Common.Extensions
{
    public static class MathExtensions
    {
        public static decimal Round(this decimal toRound, short precision=2)
        {
            return Math.Round(toRound, precision, MidpointRounding.AwayFromZero);
        }

        public static decimal ApplyDiscount(this decimal value, decimal discount)
        {
            decimal result = value * (1 - discount / 100);
            return result;
        }
    }
}