﻿namespace Drive.Common.Infrastructure
{
    public interface IIdentitySettings
    {
        int DriveSystemUserId { get; }
    }

    public class IdentitySettings
        : IIdentitySettings
    {
        public IdentitySettings(
            int driveSystemUserId)
        {
            DriveSystemUserId = driveSystemUserId;
        }

        public int DriveSystemUserId
        {
            get; private init;
        }
    }
}