﻿using System.Data;
using Drive.Common.Query;

namespace Drive.Common.IntegrationTest.QueryHandlers
{
    public class DbConnectionQueryHandler :
        IQueryHandler<DbConnectionQueryResult>,
        IQueryHandler<string, DbConnectionQueryResult>
    {
        private readonly IDbConnection _conn;

        public DbConnectionQueryHandler(IDbConnection conn)
        {
            _conn = conn;
        }

        public DbConnectionQueryResult Retrieve()
        {
            return new DbConnectionQueryResult { Count = 100 };
        }

        public DbConnectionQueryResult Retrieve(string query)
        {
            return new DbConnectionQueryResult { Count = 200 };
        }
    }
}
