﻿namespace Drive.Common.Security
{
    public static class DriveClaimTypes
    {
        public const string UserId = "https://drive.software/claims/userid";
        public const string UserDescription = "https://drive.software/claims/userdescription";
        public const string StaffId = "https://drive.software/claims/staffid";
        public const string UserBranchId = "https://drive.software/claims/userbranchid";
        public const string MessageHash = "https://drive.software/claims/messagehash";

        public static class AccessControl
        {
            public const string UserInformation = "https://drive.software/accesscontrol/userinformation";
        }
    }
}
